## org.beepcore.beep.profile.tls
Interface TLSProfileHandshakeCompletedListener

public interface TLSProfileHandshakeCompletedListener

receives handshake completed events. This allows the application to examine the trust of the authentication and take appropriate action as necessary, such as alter the profiles on the session, or simply close it.

See Also:
  `TLSProfile`, `Session`, `HandshakeCompletedListener`

Method Summary
`boolean` `handshakeCompleted(Session session, javax.net.ssl.HandshakeCompletedEvent event)` called after the SSL handshake has completed to allow verification and fine tuning by the application.

Method Detail

### handshakeCompleted

    public boolean handshakeCompleted(Session session,
                                      javax.net.ssl.HandshakeCompletedEvent event)

  called after the SSL handshake has completed to allow verification and fine tuning by the application.

  Parameters:
    `session` - The BEEP Session on which the TLS profile channel was initiated
    `event` - Event passed by the `SSLSocket` when the handshake was completed.
  See Also:
    `HandshakeCompletedEvent`, `Session`

Copyright ? 2001 Invisible Worlds, Inc. All Rights Reserved.